Subject: Re: [Bitcoin-development] Death by halving (pro-active proposals)

From: Jeff Garzik <[email-masked]>
Date: Wed, 29 Oct 2014 13:25:19 -0400

Seconded - IMO a key future use of the chain will be securing other
chains.  I'm interested in pursuing the merged-mining angle.

Getting chain hashes to a miner, and getting that miner payment from
the chain, is key to this.  Consider a future where there are 10,000
chains secured by one block...

On Wed, Oct 29, 2014 at 10:34 AM, Sergio Lerner
<[email-masked]> wrote:
> Instead of discussing what will happen when the subsidy is halved (which
> nobody really knows) maybe we can think about of what we can do to
> mitigate any damage in case something unwanted happens. Let's be proactive.
>
> For instance, any form of merged-mining (like higher frequency
> side-chains) will end-up increasing miners profit, even by a small
> margin. Then that margin can compensate miners not to turn off their
> equipment. Then we can encourage merge-mining on SHA-256, instead of
> discouraging SHA-256 alt-coins.
>
> Also we can encourage mining during the "trouble" period by creating a
> donation pool: suppose we manage to convince miners to donate 1% of
> their revenue in order to pay back to the miners for the first month
> after the reward halving. If every block pays 1% for 10 months, then
> every block during the first month of halving will earn 20% more.  Of
> course, convincing miners of this may be difficult, but not impossible.
> It could be done automatically with nLockTime freeze of transactions
> with high fees, so no TTP is necessary.
>
> So here are two proposals, any other idea?
>
> Best regards,
>  Sergio.
>
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/